// 監視するファイル名
this.filename = 'test.txt';
// __________________________________________________________________
// requireを使ったモジュール読み込み
var fs = require('fs');
var path = require('path')
// 対象ファイル
var file = __dirname + path.sep + this.filename;
// 開始タイトル
console.log( '--------------------------------' );
console.log( '[' + this.filename + '] ファイル監視');
// ファイル更新チェックプロセスの開始
if ( process.platform === 'win32' ) {
    // Windows用
    fs.watchFile( file, handlerWatch.bind(this) );
} else {
    fs.watch( file, handlerWatch.bind(this) );
}
// 対象のファイルが変更された後の処理
function handlerWatch(){
    // readFileで対象ファイルを読み込んで表示
    fs.readFile( file , callbackReadFile.bind(this) );
}

// 移植：readFileで対象ファイルを読み込んで表示
function callbackReadFile ( err , data ) {
    // エラー処理
    if( err ) {
        console.error( 'ファイルが存在しません。' );
        process.exit(1);
    }
    // 結果表示
    console.log( '--------------------------------' );
    console.log( 'ファイルが更新されました' );
    // この場合、スコープが一致するので、this.filenameが取得できる。
    console.log( '【ファイル内容 ' + this.filename + '】' );
    console.log( data.toString() );
}